/**
 * File building util used in cli
 */
export declare class FileBuilder {
    filePath: string;
    lines: string[];
    indentation: string[];
    constructor(filePath: string);
    get contents(): string;
    push(...lines: string[]): void;
    pushWithIndent(...lines: string[]): void;
    indent(): void;
    deindent(): void;
    newline(): void;
    write(): Promise<void>;
}
//# sourceMappingURL=FileBuilder.d.ts.map